function meancap = calc_meancapacity(v)
%CALC_MEANCAPACITY Calculate mean capacity from received voltages.
%
%   function meancap = calc_meancapacity(v)
%
%   Calculate mean capacity from voltage matrix "v".

% By Ulf Carlberg.

% Calculate capacity for all voltages.
if size(v, 3)==1
    v2 = shiftdim(v, -1);
else
    v2 = shiftdim(v, 2);
end
siz = size(v2);
meancap = mean(capacity(reshape(v2, [siz(1) 1 siz(2:end)])), 1);
