function data = cellstr2double(c)
%CELLSTR2DOUBLE Convert cell array of strings to a double matrix.
%
%   function data = cellstr2double(c)
%
%   Convert a cell array of strings to a matrix with doubles.
%
%   See also READ_TEXT2CELL.

% By Ulf Carlberg.

nRows = numel(c);
if nRows>0
    nColumns = length(sscanf(c{1}, '%f'));
else
    nColumns = 0;
end

data = zeros(nRows, nColumns);
for ii = 1:numel(c)
    data(ii, :) = sscanf(c{ii}, '%f');
end
