function r = cumcorrcoef(x)
%CUMCORRCOEF Cumulative correlation coefficients of a matrix.
%
%   function r = cumcorrcoef(x)
%
%   Cumulative correlation coefficients of matrix "x", in which each row is an
%   observation and each column is a variable.
%
%   See also CORRCOEF.

% By Ulf Carlberg.

assert(ndims(x)==2, 'The input matrix "x" must be 2-D.');

r = zeros([size(x) size(x, 2)]);
for i = 1:size(x, 1)
    r(i, :, :) = corrcoef(x(1:i, :));
end
