% Clear and calculate.
close all;
clear;
drawnow;
reset(RandStream.getGlobalStream, 0);

N = 1e4;

% 3D Environment.
case3D.w = gen_waves('3D', 20, N, 'Linear');
case3D.p = gen_positions(0, 0, 0, 0, linspace(0, pi/2, 6), 0);
case3D.a = repmat(gen_farfield('incremental electric dipole'), 1, 6);
%case3D.a = gen_farfield('cosn 130', 40, 80);

% 2D Environment.
case2D.w = gen_waves('2D', 20, N, 'Linear');
case2D.p = case3D.p;
case2D.a = case3D.a;

% Calculate all the parameters.
nSamplesVector = unique(round(logspace(log10(10), log10(N), 1000)));
case3D = calc(case3D, nSamplesVector, 1, 6);
case2D = calc(case2D, nSamplesVector, 1, 6);

% Animate.
animate_cases('med', case3D, case2D, 30);

% Animate.
%animate_cases('correlation', case3D, case2D, 30);

% Use this command to animate the incoming plane waves.
%figure; for k=1:100, cla; plot_waves(case3D.w, k); pause(0.1); end
