% Clear and calculate.
close all;
clear;
drawnow;

% Circular grid of positions.
[xx, yy] = gen_grid('circular', 0.05, 200);

% 3D Environment.
case3D.w = gen_waves('3D', 40, 1, 'Linear');
case3D.p = gen_positions(xx(:), yy(:), 0, 0, 0, 0);
case3D.a = gen_farfield('incremental electric dipole');

% 2D Environment.
case2D.w = gen_waves('2D', 40, 1, 'Linear');
case2D.p = case3D.p;
case2D.a = case3D.a;

% Calculate voltage at port.
v3D = calc_v(case3D);
v2D = calc_v(case2D);


% Plot

A = reshape(abs(v3D), size(xx));
A = A / max(A(:));

figure('OuterPosition', figpos('big'));
surf(xx, yy, A);
shading(gca, 'interp');
plot_waves(case3D.w);
%save_fig('example06_3D', 32, [], 400);

A = reshape(abs(v2D), size(xx));
A = A / max(A(:));

figure('OuterPosition', figpos('big'));
surf(xx, yy, A);
shading(gca, 'interp');
plot_waves(case2D.w);
%save_fig('example06_2D', 32, [], 400);
