% Clear and calculate.
close all;
clear;
drawnow;
reset(RandStream.getGlobalStream,123);

% Circular grid of positions.
r = 5;
x = -r:0.05:r;
[xx,yy] = meshgrid(x,x);
xx(hypot(xx,yy)>r) = NaN;
yy(hypot(xx,yy)>r) = NaN;

% 3D Environment.
w = gen_waves('3D',15,1,'Linear');
case3D.p = gen_positions(xx(:),yy(:),0, 0,0,0);
case3D.a = gen_farfield('incremental electric dipole');

A = zeros([size(xx) w.nWavesPerRealization]);
for i = 1:w.nWavesPerRealization
    disp(['Calculating case ' num2str(i) ' of ' ...
        num2str(w.nWavesPerRealization) '.']);
    
    % Use a subset of defined waves.
    ws(i).envType = w.envType; %#ok<*SAGROW>
    ws(i).theta   = w.theta(1:i,:);
    ws(i).phi     = w.phi(1:i,:);
    ws(i).E_theta = w.E_theta(1:i,:);
    ws(i).E_phi   = w.E_phi(1:i,:);
    ws(i).nWavesPerRealization = i;
    ws(i).nRealizations = w.nRealizations;
    case3D.w = ws(i);
    
    % Calculate voltage at port.
    v3D = calc_v(case3D);
    A(:,:,i) = reshape(abs(v3D),size(xx));
end

% Normalize.
A = A / max(A(:));
