% Clear and calculate.
close all;
clear;
drawnow;
reset(RandStream.getGlobalStream,123);

N = 1e4;
basefilename = [mfilename '_'];

% TODO: Refactor
a1 = read_farfield_wipld('wipld/two_dipoles.ra1');
a1.f = a1.f(1);
a1.D0 = a1.D0(1);
a1.E_theta = a1.E_theta(:,1);
a1.E_phi = a1.E_phi(:,1);
a1 = rotate_farfield(a1,  0, pi/2, 0);
a2 = rotate_farfield(a1, pi, pi/2, 0);

% 3D Environment.
case3D.w = gen_waves('3D',40,N);
case3D.p = gen_positions([-0.3 0.3], 0, 0, 0, 0, 0);
case3D.a = [a1 a2];

% 2D Environment.
case2D.w = gen_waves('2D',40,N);
case2D.p = case3D.p;
case2D.a = case3D.a;

% Calculate all the parameters.
nSamplesVector = unique(round(logspace(log10(10),log10(N),1000)));
case3D = calc(case3D,nSamplesVector,1,2);
case2D = calc(case2D,nSamplesVector,1,2);



% Plot

% ADG
figure;
semilogx(case3D.nSamplesVector,10*log10([case3D.adg3 case2D.adg3].'),...
    'linewidth',1);
axis([0 max(case3D.nSamplesVector) 4 12]);
grid on;
title('Estimated Apparent Diversity Gain');
xlabel('Cumulative Number of Samples [-]');
ylabel('Apparent Diversity Gain [dB]');

figWidth_cm = 10;
figHeight_cm = 5;
set(gcf,'PaperUnits','centimeters');
set(gcf,'PaperPosition',...
    [(21-figWidth_cm)/2 (29.7-figHeight_cm)/2 figWidth_cm figHeight_cm]);

%print(gcf,'-depsc2','-r300',['../virmlab_figures/' basefilename 'ADG']);
