% Clear and calculate.
close all;
clear;
drawnow;
reset(RandStream.getGlobalStream,123);

N = 1e4;
basefilename = [mfilename '_'];

% 3D Environment.
case3D.w = gen_waves('3D',40,N);
case3D.p = gen_positions([-0.6 0.6], 0, 0, 0, [0 pi/2], 0);
case3D.a = [gen_farfield('electric dipole') gen_farfield('cosn 45')];

% 2D Environment.
case2D.w = gen_waves('2D',40,N);
case2D.p = case3D.p;
case2D.a = case3D.a;

% Calculate all the parameters.
nSamplesVector = unique(round(logspace(log10(10),log10(N),1000)));
case3D = calc(case3D,nSamplesVector,1,2);
case2D = calc(case2D,nSamplesVector,1,2);

% Animate
animate_cases('capacity', case3D, case2D, 30);
