% Clear and calculate.
close all;
clear;
drawnow;

x = (-10:0.1:10)';
N = size(x, 1);

% Cluster environment.
cs.a = gen_farfield('incremental electric dipole');
cs.c = gen_clusters(20, 1);
cs.p = gen_positions(x, 0, 0, 0, 0, 0);
nSamplesVector = unique(round(logspace(log10(10), log10(N), 1000)));

% Calculate all the parameters.
cs = calc(cs, nSamplesVector, 1, 1);

figure;
plot3(cs.p.x, cs.p.y, cs.p.z, 'k.-');
hold on;
plot3(cs.c.x, cs.c.y, cs.c.z, 'r.');
axis equal;

figure;
plot(x, abs(cs.v), 'b-');
hold on;
plot(x, angle(cs.v), 'r-');
