% Clear and calculate.
close all;
clear;
drawnow;

load example18

basefilename = [mfilename '_'];

for ii = 1:length(nWavesOrClustersVector)
    nWavesOrClusters = nWavesOrClustersVector(ii);
        
    % Plot diversity gain.
    figure;
    for jj = 1:3
        semilogx(nSamplesVector, 10*log10(cluster_mat(ii, jj).adg2), ...
            'r-', 'linewidth', 1);
        hold on;
        semilogx(nSamplesVector, 10*log10(iso_mat(ii, jj).adg2), ...
            'b--', 'linewidth', 1);
    end
    axis([1e1 1e4 8 12]);
    title([num2str(nWavesOrClusters) ' clusters/' ...
        num2str(nWavesOrClusters) ' waves per realization']);
    xlabel('Cumulative Number of Samples [-]');
    ylabel('Diversity Gain [dB]');
    legend('Clusters', 'Isotropic');
    drawnow;
    %save_fig([basefilename 'adg2_' num2str(nWavesOrClusters, '%02d') ...
    %    '.png'], 12);    
    
    % Plot capacity.
    figure;
    for jj = 1:3
        semilogx(nSamplesVector, cluster_mat(ii, jj).capacity, ...
            'r-', 'linewidth', 1);
        hold on;
        semilogx(nSamplesVector, iso_mat(ii, jj).capacity, ...
            'b--', 'linewidth', 1);
    end
    axis([1e1 1e4 0 6]);
    title([num2str(nWavesOrClusters) ' clusters/' ...
        num2str(nWavesOrClusters) ' waves per realization']);
    xlabel('Cumulative Number of Samples [-]');
    ylabel('Capacity (SNR=15 dB) [bit/s/Hz]');
    legend('Clusters', 'Isotropic');
    drawnow;
    %save_fig([basefilename 'capacity_' num2str(nWavesOrClusters, '%02d') ...
    %    '.png'], 12);    
end
