% Clear and calculate.
close all;
clear;
drawnow;

theta = (0:180)*pi/180;
phi = (0:359)*pi/180;
freq_MHz_vector = 2000:100:8000;

xh = 0.35*length(freq_MHz_vector);
x = linspace(-xh, xh, length(freq_MHz_vector));

figure;
hold on;
for iFreq = 1:length(freq_MHz_vector)
    freq_MHz = freq_MHz_vector(iFreq);
    a = read_farfield_raw_ascii(['C:/Temp/11ant/ELANbf' ...
        num2str(freq_MHz) '.dat'], theta, phi);
    plot_farfield(a, [], 'interp', [x(iFreq) 0 0]);
end
text(-xh, -3, 0, ['f = ' num2str(freq_MHz_vector(1  )/1e3) ' GHz']);
text(+xh, -3, 0, ['f = ' num2str(freq_MHz_vector(end)/1e3) ' GHz']);

figure;
hold on;
for iFreq = 1:length(freq_MHz_vector)
    freq_MHz = freq_MHz_vector(iFreq);
    a = read_farfield_raw_ascii(['C:/Temp/11ant/1outOf8/ELANbf' ...
        num2str(freq_MHz) '.dat'], theta, phi);
    plot_farfield(a, [], 'interp', [x(iFreq) 0 0]);
end
text(-xh, -3, 0, ['f = ' num2str(freq_MHz_vector(1  )/1e3) ' GHz']);
text(+xh, -3, 0, ['f = ' num2str(freq_MHz_vector(end)/1e3) ' GHz']);
