close all;
clear;

bands = {[], 1e9, 'Low Band' ; 1e9, [], 'High Band'};

for iband = 1:size(bands,1)

    % Read data files.
    pth = '../data/SonyEricsson/Laird_';
    a{1} = read_farfield_sg64([pth 'top_antenna_freespace.txt'], ...
        bands{iband,1}, bands{iband,2});
    a{1}.title = 'Port 1, Free-Space';
    a{2} = read_farfield_sg64([pth 'bottom_antenna_freespace.txt'], ...
        bands{iband,1}, bands{iband,2});
    a{2}.title = 'Port 2, Free-Space';
    a{3} = read_farfield_sg64([pth 'top_antenna_single_hand.txt'], ...
        bands{iband,1}, bands{iband,2});
    a{3}.title = 'Port 1, Hand Held';
    a{4} = read_farfield_sg64([pth 'bottom_antenna_single_hand.txt'], ...
        bands{iband,1}, bands{iband,2});
    a{4}.title = 'Port 2, Hand Held';
    nant = numel(a);

    % Normalize radiation pattern in pairs.
    a(1:2) = normalize_power_radiated_2best(a(1:2));
    a(3:4) = normalize_power_radiated_2best(a(3:4));

    for iant = 1:nant
        figure;
        plot_cdf_rayleigh();
        plot_cdf_format();
        for ifreq = 1:numel(a{iant}.f)
            [v_lin, v_rhc, v_lhc] = calc_rlos(a(iant), 1e5, ifreq);
            plot_cdf(v_lin(:), 'g-');
            plot_cdf(v_rhc(:), 'b-');
            plot_cdf(v_lhc(:), 'r-');
        end
        title(a{iant}.title);
        legend('Rayleigh', 'LP', 'RHCP', 'LHCP', 'Location', 'southeast');
        drawnow;
    end
end
