close all;
clear;

% Generate a cell array of antennas.
a{1} = gen_farfield('incremental electric dipole', 101);
a{2} = gen_farfield('incremental Huygens source', 101);
a{3} = gen_farfield('isotropic theta', 101);
nant = numel(a);

% Plot far-fields.
for iant = 1:nant
    figure;
    plot_farfield(a{iant});
end

% Calculate random LOS with regular sampling.
[v_lin, v_rhc, ~] = calc_rlos(a, 30000);

% Plot CDF of antennas.
pos = {'NW', 'NE', 'SW'};
for iant = 1:nant
    h = figure;
    plot_cdf_rayleigh();
    plot_cdf_format();
    title(capitalize(a{iant}.name));
    plot_cdf(reshape(v_lin(:,:,iant),[],1), 'g-', 'LP', 'dBR');
    plot_cdf(reshape(v_rhc(:,:,iant),[],1), 'b-', 'CP', 'dBR');
    legend('Rayleigh', 'LP', 'CP', 'Location', 'southeast');
end
