close all;
clear;

% Read data files.
pth = '../data/SonyEricsson/';
a{1} = read_farfield_sg64([pth 'Laird_top_antenna_freespace.txt']);
a{2} = read_farfield_sg64([pth 'Laird_bottom_antenna_freespace.txt']);
a{3} = read_farfield_sg64([pth 'Laird_top_antenna_single_hand.txt']);
a{4} = read_farfield_sg64([pth 'Laird_bottom_antenna_single_hand.txt']);
nAnt = numel(a);

% Efficiencies.
for iAnt = 1:nAnt
    eff{iAnt} = a{iAnt}.power.radiated/(4*pi);
end

band1 = a{1}.f<1500e6;
band2 = ~band1;
freq1_MHz = a{1}.f(band1)/1e6;
freq2_MHz = a{1}.f(band2)/1e6;

%p = ppt_create();
%s = ppt_append_slide(p, 'Efficiencies');

figure;
plot(freq1_MHz, 10*log10(eff{1}(band1)), 'bo-' ); hold on;
plot(freq1_MHz, 10*log10(eff{2}(band1)), 'bo--');
plot(freq1_MHz, 10*log10(eff{3}(band1)), 'ro-' );
plot(freq1_MHz, 10*log10(eff{4}(band1)), 'ro--');
axis([749 960 -14 0]);
legend('Free-Space, Port 1', 'Free-Space, Port 2', ...
    'Hand Held, Port 1', 'Hand Held, Port 2', 'Location', 'southeast');
xlabel('Frequency [MHz]');
ylabel('Efficiency [dB]');
grid on;
%save_fig('', 11);
%ppt_add_image(s, 'SW');

figure;
plot(freq2_MHz, 10*log10(eff{1}(band2)), 'bo-' ); hold on;
plot(freq2_MHz, 10*log10(eff{2}(band2)), 'bo--');
plot(freq2_MHz, 10*log10(eff{3}(band2)), 'ro-' );
plot(freq2_MHz, 10*log10(eff{4}(band2)), 'ro--');
axis([1699 2701 -14 0]);
legend('Port 1, Free-Space', 'Port 2, Free-Space', ...
    'Port 1, Hand Held', 'Port 2, Hand Held', 'Location', 'southeast');
xlabel('Frequency [MHz]');
ylabel('Efficiency [dB]');
grid on;
%save_fig('', 11);
%ppt_add_image(s, 'SE');
