close all;
clear;

c.w = gen_waves('3D', 20, 1e5, 'Linear');

tmp = '../data/SonyEricsson/Laird_';
a{1} = read_farfield_sg64([tmp 'top_antenna_freespace.txt'     ], 2.2e9);
a{2} = read_farfield_sg64([tmp 'bottom_antenna_freespace.txt'  ], 2.2e9);
a{3} = read_farfield_sg64([tmp 'top_antenna_single_hand.txt'   ], 2.2e9);
a{4} = read_farfield_sg64([tmp 'bottom_antenna_single_hand.txt'], 2.2e9);
a = [normalize_power_radiated_2best(a(1:2)) ...
     normalize_power_radiated_2best(a(3:4))];
nant = numel(a);

c.a = [a{1} a{2} a{3} a{4}];
c.p = gen_positions([0 0 0 0],0,0,0,0,0);
v_iso = sqrt(2)*calc_v(c);

% Plot CDF curves for all frequencies.
h = figure;
plot_cdf_rayleigh(1);
plot_cdf_format();
ifreq = 1;
[v_lin, ~, ~] = calc_rlos(a, 1e5, ifreq);
v_lin = sqrt(2)*v_lin;
for iant = 3:nant %%%
    v_los_tmp = v_lin(:,:,iant);
    v_iso_tmp = v_iso(:,:,iant,ifreq);
    plot_cdf(v_los_tmp(:), 'g-', 'LP LOS', 'dBR1');
    plot_cdf(v_iso_tmp(:), 'r-', 'RIMP', 'dBR1');
end
plot_cdf_rayleigh(1, 'MRC', 2);
for idiv = 3 %%%
    v_los_div = diversity('MRC', v_lin(:,:,idiv:idiv+1));
    v_iso_div = diversity('MRC', v_iso(:,:,idiv:idiv+1,:));
    plot_cdf(v_los_div(:), 'g--', 'LP LOS', 'dBR1');
    plot_cdf(v_iso_div(:), 'r--', 'RIMP', 'dBR1');
end
plot_cdf_rayleigh(1);
legend('Rayleigh', 'LP LOS', 'RIMP', 'Location', 'southeast');
