close all;
clear;

% Define data files to read.
filename = 'CST/900MHz.txt';

% Read all data files.
a{1} = read_farfield_cst(filename);
a{1} = set_power_radiated(a{1});  % normalize radiated power

% Plot radiation pattern.
figure;
plot_farfield(a{1}, '', 'interp');

% Calculate random line-of-sight directly from far-field function. There are
% three cases: linear, right hand circular, and left hand circular polarizations
% of the incoming wave.
[v_lin, v_rhc, v_lhc] = calc_rlos(a);

% Plot CDF curves.
figure;
plot_cdf_rayleigh(0.5);
plot_cdf_format();
plot_cdf(v_lin(:), 'g-');
plot_cdf(v_rhc(:), 'b-');
plot_cdf(v_lhc(:), 'r-');
legend('Rayleigh', 'LP', 'RHCP', 'LHCP', 'Location', 'southeast');
