close all;
clear;

for ifreq = 1:3
    for ip = 1:4
        a{ip} = read_farfield_cst(['CST/far_field_f' num2str(ifreq) '_P' ...
            num2str(ip) '.txt']); %#ok<SAGROW>
        %a{ip} = set_power_radiated(a{iP});
    end
    a = normalize_power_radiated_2best(a);

    [v_lin, v_rhc, v_lhc] = calc_rlos(a, 1e5);
    v_lin_div = diversity('MRC', v_lin);
    v_rhc_div = diversity('MRC', v_rhc);
    v_lhc_div = diversity('MRC', v_lhc);

    % Print out level at 1 % (deviation from Rayleigh).
    ifreq %#ok<NOPTS>
    v_lin_div_dBR = get_cdf_level(v_lin_div(:), 'dBR') %#ok<NOPTS>
    v_rhc_div_dBR = get_cdf_level(v_rhc_div(:), 'dBR') %#ok<NOPTS>
    v_lhc_div_dBR = get_cdf_level(v_lhc_div(:), 'dBR') %#ok<NOPTS>

    figure(1);
    plot_cdf_rayleigh(0.5);
    plot_cdf_format();
    plot_cdf(v_lin, 'g-');
    plot_cdf(v_lin_div(:), 'g--');

    figure(2);
    plot_cdf_rayleigh(0.5);
    plot_cdf_format();
    plot_cdf(v_rhc, 'b-');
    plot_cdf(v_rhc_div(:), 'b--');

    figure(3);
    plot_cdf_rayleigh(0.5);
    plot_cdf_format();
    plot_cdf(v_lhc, 'r-');
    plot_cdf(v_lhc_div(:), 'r--');
end

figure(1);
legend('Rayleigh', 'LP', 'MRC', 'Location', 'southeast');

figure(2);
legend('Rayleigh', 'RHCP', 'MRC', 'Location', 'southeast');

figure(3);
legend('Rayleigh', 'LHCP', 'MRC', 'Location', 'southeast');
