close all;
clear;
reset(RandStream.getGlobalStream, 123);

% List of all Rician K-factors.
kfactor_list = [Inf, 32, 16, 8, 4, 2, 1, 0.5, 0];

% Generate set of waves for each K-factor. Calculate received signal at port of
% an antenna.
for ik = 1:numel(kfactor_list)
    c{ik}.w = gen_waves('3D', 20, 1e5, 'Linear', kfactor_list(ik));
    c{ik}.p = gen_positions(0, 0, 0, 0, 0, 0);
    %c{ik}.a = gen_farfield('incremental Huygens source');
    c{ik}.a = gen_farfield('incremental electric dipole');
    c{ik}.v = calc_v(c{ik});
end

% Plot CDF.
figure;
plot_cdf_rayleigh();
plot_cdf_format();
colors = 'bgrcmy';
for ik = 1:numel(kfactor_list)
    plot_cdf(c{ik}.v, [colors(mod(ik-1,numel(colors))+1) '-']);
end
axis([-50 -10 1e-3 1e0]);
