close all;
clear;

% Define environment, antenna and positions.
N = 10000;
c.w = gen_waves('3D', 20, N, 'Linear', [], (90-15)*pi/180, (90+5)*pi/180, -45*pi/180, 45*pi/180);
%c.a = gen_farfield('cosn 40');
c.a = read_farfield_cst('CST/900MHz.txt');
c.a = set_power_radiated(c.a);  % normalize radiated power
c.p = gen_positions(0, 0, 0, 0, 0, 0);

% Plot case.
figure;
plot_farfield(c.a);
plot_waves(c.w);

% Calculate received voltage at antenna port.
c.v1 = calc_v(c);

% Plot CDF of received voltage at antenna port.
h = figure;
plot_cdf(c.v1, 'b-');
plot_cdf_format();

% Rotate antenna. Calculate new received voltage.
c.a = rotate_farfield(c.a, 0, 90*pi/180, 0);
c.v2 = calc_v(c);

% Plot new case.
figure;
plot_farfield(c.a);
plot_waves(c.w);

% Plot new data.
figure(h);
plot_cdf(c.v2, 'g-');
legend('Antenna unrotated', 'Antenna rotated', 'Location', 'southeast');
