close all;
clear;

% Antenna 1.
[phi_deg, g1, g2, g3] = textread('Edith/Rad_pat_Chmsl5900.txt', '%f %f %f %f');
[phi_deg, indx] = sort(phi_deg(:));
phi_deg = [-phi_deg(end) ; phi_deg];
indx = [numel(indx) ; indx];
g1 = g1(indx); g2 = g2(indx); g3 = g3(indx);
a1.theta = (90-[14 ; 7 ; 0])*pi/180;
a1.phi = phi_deg*pi/180;
a1.Eth = reshape(10.^([g1 g2 g3]/20).', [], 1);
a1.Eth(isnan(a1.E_theta)) = 0;
a1.Eph = zeros(size(a1.E_theta));
a1.f = 5.9e9;

figure;
plot_polar_format('thetacut');
h1 = plot_polar_farfield_thetacut(a1, [], (90- 0)*pi/180, 'b-');
h2 = plot_polar_farfield_thetacut(a1, [], (90- 7)*pi/180, 'r-');
h3 = plot_polar_farfield_thetacut(a1, [], (90-14)*pi/180, 'g-');
legend([h1 h2 h3], '0', '7', '14', 'Location', 'southeast');

% Antenna 2.
[phi_deg, g1, g2, g3] = textread('Edith/Rad_pat_kinder5900.txt', '%f %f %f %f');
[phi_deg, indx] = sort(phi_deg(:));
phi_deg = [-phi_deg(end) ; phi_deg];
indx = [numel(indx) ; indx];
g1 = g1(indx); g2 = g2(indx); g3 = g3(indx);
a2.theta = (90-[14 ; 7 ; 0])*pi/180;
a2.phi = phi_deg*pi/180;
a2.E_theta = reshape(10.^([g1 g2 g3]/20).', [], 1);
a2.E_theta(isnan(a2.E_theta)) = 0;
a2.E_phi = zeros(size(a2.E_theta));
a2.f = 5.9e9;

figure;
plot_polar_format('thetacut');
h1 = plot_polar_farfield_thetacut(a2, [], (90- 0)*pi/180, 'b-');
h2 = plot_polar_farfield_thetacut(a2, [], (90- 7)*pi/180, 'r-');
h3 = plot_polar_farfield_thetacut(a2, [], (90-14)*pi/180, 'g-');
legend([h1 h2 h3], '0', '7', '14', 'Location', 'southeast');
