close all;
clear;

w = gen_waves('3D', 1, 10000, 'LinearVertical', [], (90-15)*pi/180, (90+5)*pi/180);

a1 = read_farfield_cst2('Edith/S60_Ch_Patch_FieldSource_1_01_2step.txt');
a2 = read_farfield_tesla('Edith/Rad_pat_kinder5900.txt');
a2 = rotate_farfield(a2, pi, 0, 0, 91, 181, 'linear');
a1 = set_power_radiated(a1);
a2 = set_power_radiated(a2);
figure; plot_farfield(a1);
figure; plot_farfield(a2);

%plot_farfield_flat(a1);
%plot_farfield_flat(a2);

% Plot Azimuth Angle (theta = 90 deg). The car is pointing to the Left
figure;
plot_polar_format('thetacut', -30:5:10);
h1 = plot_polar_farfield_thetacut(a1, [], [], 'r.-');
h2 = plot_polar_farfield_thetacut(a2, [], [], 'b');
legend([h1 h2], 'Simulated Patch', 'Measured Patch', 'Location', 'southeast');
%save_fig('example78_Fig1_konf.png');

% Plot Elevation Angle. The back of the car is pointing at me
%figure;
%plot_polar_format('phicut', -30:5:10);
%h1 = plot_polar_farfield_phicut(a1, [], [], 'r-');
%h2 = plot_polar_farfield_phicut(a2, [], [], 'b');
%legend([h1 h2], 'Simulated Patch', 'Measured Patch', 'Location', 'southeast');
%save_fig('example78_FigPhi_konf_elevation.png');

c1.w = w;
c1.a = a1;
c1.p = gen_positions(0, 0, 0, 0, 0, 0);
c2 = c1;
c2.a = a2;
c1.v = calc_v(c1);
c2.v = calc_v(c2);
figure;
h0 = plot_cdf_rayleigh();
plot_cdf_format();
h1 = plot_cdf(c1.v, 'r-');
h2 = plot_cdf(c2.v, 'b-');
legend([h0 h1 h2], 'Rayleigh', 'Simulated', 'Measured', ...
    'Location', 'southeast');
