close all;
clear;

% 4-port SGBT by Hasan
freq_GHz = 1.7;
a_tmp = read_farfield(['../data/CST/chen_f' num2str(freq_GHz,'%.1f\n') '.txt']);

% Create four antennas.
a = [rotate_farfield(a_tmp, 1*pi/2, pi/2, 0), ...
     rotate_farfield(a_tmp, 2*pi/2, pi/2, 0), ...
     rotate_farfield(a_tmp, 3*pi/2, pi/2, 0), ...
     rotate_farfield(a_tmp, 4*pi/2, pi/2, 0)];

figure; plot_farfield(a(1), 'total', 'interp');
figure; plot_farfield(a(2), 'total', 'interp');
figure; plot_farfield(a(3), 'total', 'interp');
figure; plot_farfield(a(4), 'total', 'interp');

% Not needed for this case, all antennas have same efficiency.
%a = normalize_power_radiated_2best(a);

% Calculate MRC for RLOS, i.e., the MRC in each direction for the farfield.
a_mrc = a(1);
a_mrc.Eth = zeros(size(a_mrc.Eth));
a_mrc.Eph = zeros(size(a_mrc.Eph));
for iAnt = 1:numel(a)
    a_mrc.Eth = a_mrc.Eth + abs(a(iAnt).Eth).^2;
    a_mrc.Eph = a_mrc.Eph + abs(a(iAnt).Eph).^2;
end
a_mrc.Eth = sqrt(a_mrc.Eth);
a_mrc.Eph = sqrt(a_mrc.Eph);

figure;
plot_farfield(a_mrc, 'total', 'interp');

figure;
plot_farfield(a_mrc, 'theta-phi', 'interp', [], [], 0);
