close all;
clear;

% Input number of receivers and transmitters. Both can be 1, 2, 3, or 4.
Nrx = 4;
Ntx = 4;

% Generate channel matrix.
N = 1e4;
H = zeros(Nrx, Ntx, N);
c.a = gen_farfield('incremental electric dipole');
c.p = gen_positions((1:Nrx)', 0, 0, 0, 0, 0);
for itx = 1:Ntx
    c.w = gen_waves('3D', 20, N, 'Linear');
    v = calc_v(c);
    H(:,itx,:) = reshape(v.', [Nrx 1 N]);
end

% Calculate and plot various MIMO/diversity combination techniques.
r = mimo_algorithms(H);
r.P1_dB = -40;
r.P2_dB =  20;
r.basename = '';
plot_stat(r, {'CDF','PoD','GER'}, {'P11','ZF1','SVD','MRC1','MAX1','MIN1'});
plot_stat_filled_PoD(r);
