close all;
clear;

% Generate channel matrix.
Nrx = 2;
Ntx = 2;
N = 1e4;
H = zeros(Nrx, Ntx, N);
a1 = read_farfield('../data/CST/farfield (f=1.6)_LowerAntenna.ffs');
a2 = read_farfield('../data/CST/farfield (f=1.6)_UpperAntenna.ffs');
a1 = set_power_radiated(a1);
a2 = set_power_radiated(a2);
c.a = [a1 a2];
c.p = gen_positions([0 0], 0, 0, 0, 0, 0);
for itx = 1:Ntx
    c.w = gen_waves('3D', 20, N, 'Linear');
    v = calc_v(c);
    H(:,itx,:) = permute(v, [3 2 1]);
end

% Calculate and plot various MIMO/diversity combination techniques.
r = mimo_algorithms(H);
r.P1_dB = -40;
r.P2_dB =  10;
r.basename = '';
plot_stat(r, {'CDF','PoD','GER'}, {'P11','ZF','SVD','MRC1','MAX1','MIN1'});
plot_stat_filled_PoD(r);
