% Test generation of far-field functions for canonical antennas.
close all;
clear;

a = gen_farfield('electric dipole', 41, 81);
a = rotate_farfield(a, 0, pi/4, pi/4);

plot_farfield(a);

% Make sure the power integral equal 4*pi.
P = integrate_farfield(a);
fprintf('Numerical accuracy P/(4*pi) = %.2f dB = %.8f\n', 10*log10(P/(4*pi)), P/(4*pi));
