function a = normalize_power_radiated_2best(a)

% Consider each frequency separately.
for iFreq = 1:numel(a{1}.f)
    
    % Find maximum radiated power at current frequency for some antenna.
    pow_rad = 0;
    for iAnt = 1:numel(a)
        pow_rad = max(a{iAnt}.power.radiated(iFreq), pow_rad);
    end
    norm_factor = sqrt(4*pi./pow_rad);
    
    % Normalise all antennas at current frequency so only the best have 100 %
    % efficiency.
    for iAnt = 1:numel(a)
        a{iAnt}.Eth(:,:,iFreq) = a{iAnt}.Eth(:,:,iFreq) * norm_factor;
        a{iAnt}.Eph(:,:,iFreq) = a{iAnt}.Eph(:,:,iFreq) * norm_factor;
    end
    
end

% Update radiated power in antenna structures.
for iAnt = 1:numel(a)
    a{iAnt}.power.radiated = integrate_farfield(a{iAnt});
end
