function plot_cdf_format(ymin)

if nargin<1, ymin = 1e-3; end

% Format CDF plot.
hold on;
grid on;
axis([-30 10 ymin 1e0]);
tmp = sprintf(' %g%%',100*get(gca,'YTick'));
set(gca, 'YTickLabel', strsplit(tmp(2:end)));
xlabel('Normalized Power [dB]');
ylabel('CDF [-]');

% Add identification string to graph and userdata.
s = datestr(now, 31);
text(0, 1, s, 'Units', 'normalized', 'Color', 0.5*[1 1 1], ...
    'BackgroundColor', 'none', 'HorizontalAlignment', 'left', ...
    'VerticalAlignment', 'bottom', 'FontSize', 2, 'Rotation', 0);
h = gcf();
userdata = get(h, 'UserData');
userdata.id = s;
set(h, 'UserData', userdata);
