function plot_farfield_flat(a, iFreq)
%PLOT_FARFIELD_FLAT Plot far-field ("radiation pattern") of antenna flat.
%
%   function plot_farfield_flat(a, iFreq))
%
%   See also PLOT_FARFIELD.

% By Ulf Carlberg.

if nargin<2 || isempty(iFreq), iFreq = 1; end

Wth = abs(a.Eth(:,:,iFreq)).^2;
Wph = abs(a.Eph(:,:,iFreq)).^2;
max_val = max([Wth(:) ; Wph(:)]);
    
figure;
imagesc(a.phi*180/pi, a.theta*180/pi, Wth);
caxis([0 max_val]);
title('Wth');
xlabel('phi [deg]');
ylabel('theta [deg]');
colorbar;
    
figure;
imagesc(a.phi*180/pi, a.theta*180/pi, Wph);
caxis([0 max_val]);
title('Wph');
xlabel('phi [deg]');
ylabel('theta [deg]');
colorbar;
