close all;
clear;

N = 1e4;
z = complex(randn(N, 1), randn(N, 1));
a = abs(z);

xc = linspace(0, 5, 100);
y = histc(a, xc);

figure;
bar(xc, y, 1);

a1 = gen_farfield('electric dipole', 501, 37);
theta = repmat(a1.theta(:), [1 size(a1.phi)]);

W = (abs(a1.Eth).^2 + abs(a1.Eph).^2) .* sin(theta);

figure;
bar(hist(W(:),100));

x = 10*log10(sort(W(:)));
y = (1:length(x))/length(x);
figure;
semilogy(x, y);
