function h = plot_polar_data(phi, farfield_dB, plot_style)
%Plot polar data
%   function h = plot_polar_data(phi, farfield_dB, plot_style)

if nargin<3, plot_style = ''; end

userdata = get(gcf, 'UserData');
r_dB = max(farfield_dB-userdata.min_dB, 0) / (userdata.max_dB-userdata.min_dB);
h = plot(r_dB.*cos(phi), r_dB.*sin(phi), plot_style, 'LineWidth', 1);
