function plot_positions(p)
%PLOT_POSITIONS Plot spatial positions and orientation.
%
%   function plot_positions(p)
%
%   Plot spatial positions (maximum 100 positions).

% By Ulf Carlberg.

% Limit number of data points.
N = min(numel(p.x), 100);
x = p.x(1:N);
y = p.y(1:N);
z = p.z(1:N);

% Plot direction of antenna.
[dx, dy, dz] = zyzrot(0, 0, 0.25, p.alpha(1:N), p.theta(1:N), p.phi(1:N));

plot3(x, y, z, 'k.');
hold on;
plot3([x(:)-dx(:) x(:)+dx(:)]', ...
      [y(:)-dy(:) y(:)+dy(:)]', ...
      [z(:)-dz(:) z(:)+dz(:)]', '-');
xlabel('x');
ylabel('y');
zlabel('z');
axis equal;
grid on;
box on;
view([-6 6]);
