function ppt_add_textbox(s, text, pos)
%PPT_ADD_TEXTBOX Add a textbox to current PowerPoint slide.
%   
%   function ppt_add_textbox(s, text, pos)
%
%   See also PPT_CREATE and PPT_APPEND_SLIDE.

% By Ulf Carlberg.

if nargin<3 ||isempty(pos), pos = 'C'; end

% Accept numbers for position.
if isa(pos, 'numeric')
    pos_str = {'C', 'NW', 'NE', 'SW', 'SE'};
    pos = pos_str(pos+1);
end

if strcmpi(pos, 'C')
    x = 150; y = 150; 
elseif strcmpi(pos, 'NW')
    x =  50; y = 150; 
elseif strcmpi(pos, 'NE')
    x = 400; y = 150;
elseif strcmpi(pos, 'SW')
    x =  50; y = 360;
elseif strcmpi(pos, 'SE')
    x = 400; y = 360;
else
    error('Unknown position.');
end
w = 300;
h = 300;

text(text==10) = 13;
text_box = invoke(s.Shapes, 'AddTextbox', 'msoTextOrientationHorizontal', ...
    x, y, w, h);
text_box.TextFrame.TextRange.Text = text;
text_box.Fill.ForeColor.RGB = le2uint([255,255,255]);
text_box.Fill.Transparency = 0.15;
