function s = ppt_append_slide(p, title_text)
%PPT_APPEND_SLIDE Append a slide to a PowerPoint presentation.
%   
%   function s = ppt_append_slide(p, title_text)
%
%   Append slide "s" to PowerPoint presentation "p". Writes the title text
%   "title_text" on top of the slide (optional).
%
%   See also PPT_CREATE and PPT_ADD_IMAGE.

% By Ulf Carlberg.

if nargin<2, title_text = ''; end;

% Create the new slide at the end with title only.
s = invoke(p.Slides, 'Add', p.Slides.Count+1, 11);  % ppLayoutTitleOnly=11

% Insert title text.
set(s.Shapes.Title.TextFrame.TextRange, 'Text', title_text);
