function c = read_text2cell(filename)
%READ_TEXT2CELL Read text file (e.g. ASCII) to cell array of text strings.
%
%   function c = read_text2cell(filename)
%
%   Read a text file (e.g. ASCII) and output a cell array of text strings. Each
%   line in the text file is one element of the output cell array.
%
%   See also CELLSTR2DOUBLE.

% By Ulf Carlberg.

f = fopen(filename, 'r');
if f==-1
    error('Could not open file.'); 
end

c = {};
while ~feof(f)
    c{end+1, 1} = fgetl(f); %#ok<AGROW>
end

fclose(f);
