close all;
clear;

n = 10;
alpha = 2*pi*rand(n,1);
theta = 2*pi*rand(n,1);
phi   = 2*pi*rand(n,1);

a1 = gen_farfield('incremental Huygens source', 20, 40);
for ii = 1:n
    a2 = rotate_farfield(a1, alpha(ii), theta(ii), phi(ii));
    a3 = rotate_farfield(a2, -phi(ii), -theta(ii), -alpha(ii));

    err_th_dB = 20*log10(max(abs(a1.Eth(:)-a3.Eth(:))));
    err_ph_dB = 20*log10(max(abs(a1.Eph(:)-a3.Eph(:))));
    fprintf('Maximum numerical error = %6.1f dB\n', max(err_th_dB, err_ph_dB));
end    

figure; plot_farfield(a1);
figure; plot_farfield(a2);
figure; plot_farfield(a3);
