function [x, y, z] = rthetaphi2xyz(r, theta, phi)
%RTHETAPHI2XYZ Convert spherical coordinates to cartesian (xyz) coordinates.
%
%   function [x, y, z] = rthetaphi2xyz(r, theta, phi)
%
%   Convert spherical coordinates "r", "theta", and "phi" to xyz-coordinates.
%   "theta" is the angle from the z-axis and "phi" is the azimuth angle from the
%   x-axis in the xy-plane.
%
%   See also XYZ2RTHETAPHI.

% By Ulf Carlberg.

x = r .* sin(theta) .* cos(phi);
y = r .* sin(theta) .* sin(phi);
z = r .* cos(theta);
