function save_axes(filename, figWidth_cm, figHeight_cm, dpi)
%SAVE_AXES Save a subfigure to a PNG file.
%
%   function save_axes(filename, figWidth_cm, figHeight_cm, dpi)
%
%   Saves the current axes as a PNG image.
%
%   See also SAVE_FIG.

% By Ulf Carlberg.

% Default arguments.
if nargin<1, filename = '';     end
if nargin<2, figWidth_cm = [];  end
if nargin<3, figHeight_cm = []; end
if nargin<4, dpi = [];          end

% Copy current axes to a new figure, save the figure and then close the figure.
ha = gca;
hf = figure;
h = copyobj(ha, hf);
set(h, 'Position', get(0, 'DefaultAxesPosition'));
save_fig(filename, figWidth_cm, figHeight_cm, dpi);
close(hf);
