close all;
clear;

% Choose ntheta and part of sphere to plot.
ntheta = 20;
sphere_plot_part = 0.5;

% Help circles on sphere.
dtheta = 180/ntheta;
tmp = 0:dtheta/2:180*sphere_plot_part;
[th, ph] = ndgrid(tmp(2:2:end), 0:360);
[x1, y1, z1] = rthetaphi2xyz(1, th'*pi/180, ph'*pi/180);  %%%deg2rad%%%

% Old algorithm based on circles.
theta_x2 = linspace(0, 180, 2*ntheta+1);
theta2 = [];
phi2 = [];
for itheta = 2:2:numel(theta_x2)-1
    nphi = round(2*sind(theta_x2(itheta))*ntheta);
    phi_mat = linspace(-180, 180, nphi+1);
    area_tmp = (cosd(theta_x2(itheta-1)) - cosd(theta_x2(itheta+1)))*2*pi/nphi;
    for ph = phi_mat(1:end-1);
        theta2 = [theta2 ; theta_x2(itheta)]; %#ok<AGROW>
        phi2 = [phi2 ; ph]; %#ok<AGROW>
    end
end
[x2, y2, z2] = rthetaphi2xyz(1, theta2*pi/180, phi2*pi/180);  %%%deg2rad%%%
m = round(sphere_plot_part*numel(z2));

% New function.
[theta3, phi3] = sph_regsamp(numel(theta2));
[x3, y3, z3] = rthetaphi2xyz(1, theta3*pi/180, phi3*pi/180);  %%%deg2rad%%%

% Plot sampling of sphere with the different methods.
figure;
plot3(x1, y1, z1, 'b-'); hold on;
plot3(x2(1:m), y2(1:m), z2(1:m), 'k.-'); hold on;
plot3(x3(1:m), y3(1:m), z3(1:m), 'r.-'); hold on;
axis equal;
axis off;
view(0,90);
