function [x, y, z] = unit_vector_phihat(phi)
%UNIT_VECTOR_PHIHAT Cartesian-coordinates (xyz-coordinates) of the sperical unit vector phi-hat for the angle phi.
%
%   function [x, y, z] = unit_vector_phihat(phi)
%
%   Return the xyz-coordinates of the spherical unit vector phi-hat for the
%   angle "phi". "phi" is the azimuth angle from the x-axis in the xy-plane.
%   (The angle "theta" is not needed to calculate phi-hat.)
%
%   See also UNIT_VECTOR_RHAT and UNIT_VECTOR_THETAHAT.

% By Ulf Carlberg.

x = -sin(phi);
y =  cos(phi);
z =  zeros(size(phi));
