function [x, y, z] = unit_vector_rhat(theta, phi)
%UNIT_VECTOR_RHAT Cartesian-coordinates (xyz-coordinates) of the sperical unit vector r-hat for angles theta and phi.
%
%   function [x, y, z] = unit_vector_rhat(theta, phi)
%
%   Return the xyz-coordinates of the spherical unit vector r-hat for the
%   angles "theta" and "phi". "theta" is the angle from the z-axis and "phi" is
%   the azimuth angle from the x-axis in the xy-plane.
%
%   See also UNIT_VECTOR_THETAHAT and UNIT_VECTOR_PHIHAT.

% By Ulf Carlberg.

x = sin(theta) .* cos(phi);
y = sin(theta) .* sin(phi);
z = cos(theta);
