function [x, y, z] = unit_vector_thetahat(theta, phi)
%UNIT_VECTOR_THETAHAT Cartesian-coordinates (xyz-coordinates) of the sperical unit vector theta-hat for angles theta and phi.
%
%   function [x, y, z] = unit_vector_thetahat(theta, phi)
%
%   Return the xyz-coordinates of the spherical unit vector theta-hat for the
%   angles "theta" and "phi". "theta" is the angle from the z-axis and "phi" is
%   the azimuth angle from the x-axis in the xy-plane.
%
%   See also UNIT_VECTOR_RHAT and UNIT_VECTOR_PHIHAT.

% By Ulf Carlberg.

x =  cos(theta) .* cos(phi);
y =  cos(theta) .* sin(phi);
z = -sin(theta);
