function [r, theta, phi] = xyz2rthetaphi(x, y, z)
%XYZ2RTHETAPHI Convert cartesian (xyz) coordinates to spherical coordinates.
%
%   function [r, theta, phi] = xyz2rthetaphi(x, y, z)
%
%   Convert xyz-coordinates to spherical coordinates "r", "theta", and "phi".
%   "theta" is the angle from the z-axis and "phi" is the azimuth angle from the
%   x-axis in the xy-plane.
%
%   See also RTHETAPHI2XYZ.

% By Ulf Carlberg.

hypotxy = hypot(x, y);
r = hypot(hypotxy, z);
theta = atan2(hypotxy, z);
phi = atan2(y, x);
